#Module-Specific definitions
%define mod_name mod_countm
%define mod_conf A22_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	DSO module for the apache web server
Name:		apache-%{mod_name}
Version:	3.0
Release:	%mkrel 13
Group:		System/Servers
License:	BSD
URL:		http://sourceforge.net/projects/countm/
Source0:	%{mod_name}-%{version}.tar.bz2
Source1:	%{mod_conf}.bz2
BuildRequires:	gd-devel
BuildRequires:	png-devel 
BuildRequires:	freetype-devel
BuildRequires:	libjpeg-devel
BuildRequires:	db4-devel
BuildRequires:	zlib-devel
#Requires:	fonts-ttf-west_european
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
An apache only module serving link counting information via jpeg
and png images. Configuration commands include font selection,
font size, image type, image background and text color, digit
width, reset, ignore, access list database, and random.

%prep

%setup -q -n %{mod_name}-%{version}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%{_sbindir}/apxs -L%{_libdir} -lgd -lfreetype -ljpeg -lpng -lm -ldb -c mod_countm.c version.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}/var/lib/%{mod_name}/dbase

# install the font..., i have no clue where to put it, 
# so i go by intuition and educated wild guessing...
install -d %{buildroot}%{_datadir}/fonts/ttf/western
install -m0644 FreeMono.ttf %{buildroot}%{_datadir}/fonts/ttf/western/

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.html manual.txt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%attr(0755,apache,apache) %dir /var/lib/%{mod_name}
%attr(0755,apache,apache) %dir /var/lib/%{mod_name}/dbase
%attr(0644,root,root) %{_datadir}/fonts/ttf/western/FreeMono.ttf


%changelog
* Mon Aug 17 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-13mdv2010.0
+ Revision: 417291
- rebuilt against libjpeg v7

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-12mdv2010.0
+ Revision: 406567
- rebuild

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-11mdv2009.1
+ Revision: 325684
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-10mdv2009.0
+ Revision: 234885
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-9mdv2009.0
+ Revision: 215562
- fix rebuild

* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-8mdv2008.1
+ Revision: 182822
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0-7mdv2008.1
+ Revision: 170715
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0-6mdv2008.0
+ Revision: 82550
- rebuild

* Sat Aug 18 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0-5mdv2008.0
+ Revision: 65633
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill unused prereq


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0-4mdv2007.1
+ Revision: 140661
- rebuild

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0-3mdv2007.0
+ Revision: 79396
- Import apache-mod_countm

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0-3mdv2007.0
- rebuild

* Wed Dec 14 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0-2mdk
- rebuilt against apache-2.2.0

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0-1mdk
- fix versioning

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_3.0-2mdk
- fix deps

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_3.0-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_3.0-4mdk
- use the %%mkrel 1

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_3.0-3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_3.0-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_3.0-1mdk
- rebuilt for apache 2.0.53

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_3.0-1mdk
- built for apache 2.0.52

* Fri Sep 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_3.0-1mdk
- built for apache 2.0.51

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_3.0-1mdk
- built for apache 2.0.50
- remove redundant provides

* Tue Jun 15 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_3.0-1mdk
- built for apache 2.0.49

